"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFrameworkInfo = exports.getPlatformInfo = void 0;
const tslib_1 = require("tslib");
const os = tslib_1.__importStar(require("node:os"));
/**
 * Returns information about the platform this function is being run on.
 * @internal
 */
function getPlatformInfo() {
    return `(${os.arch()}-${os.type()}-${os.release()})`;
}
exports.getPlatformInfo = getPlatformInfo;
/**
 * Returns information about Node.js this function is being run on.
 * @internal
 */
function getFrameworkInfo() {
    return `Node/${process.version}`;
}
exports.getFrameworkInfo = getFrameworkInfo;
//# sourceMappingURL=runtimeInfo.js.map